TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

AbsoluteNorm ( elt-ord^num x ) -> elt-fld^rat

### Description

<shortdoc> The absolute norm of x over Q. </shortdoc>

### Examples

x_R := PolynomialAlgebra( IntegerRing() ); x_x := Generator(x_R, 1); x_O := MaximalOrder(x_x^2 - 18); x_a := Element(x_O, [0,1] ); x_Ox := PolynomialAlgebra( x_O ); x_x := Generator(x_Ox, 1); x_OO := MaximalOrder( x_x^3 - 27*x_a ); x_b := Element(x_OO, [0,0,1]); AbsoluteNorm(x_b); Norm(x_b); Norm(x_b, x_O);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack